#!/bin/bash
# update date in /etc/issue like format xxxx-xx-xx

year=`date | cut -d ' ' -f 1 |cut -b 1-4`
month=`date | cut -d ' ' -f 2 | cut -b 1-2`
day=`date | cut -d ' ' -f 3 | cut -b 1-2`
new_date=$year-$month-$day
old_date=`cat /etc/issue | grep -E "[0-9]{4}-[0-1][0-9]-[0-3][0-9]"`
if [ -n "$old_date" ];then
	sed -i "s/$old_date/$new_date/g" /etc/issue
else 
	sed -i "/^$/d" /etc/issue
	sed -i '$a\'$new_date /etc/issue
fi
